Collect
/- Previews the batch to ensure it can be posted, and reports any errors
Initiates workflow to warm up inventory transactions
Initiates workflow to post multiple batches
Initiates workflow to unpost multiple batches
Retrieves a subledger entry for a transaction
Previews the batch to ens...
Previews the batch to ensure it can be posted, and reports any errors
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/batchPosting/{tenantId}/batchPostingPreviewRequest
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/batchPosting/{tenantId}/batchPostingPreviewRequest
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/batchPosting/{tenantId}/batchPostingPreviewRequest' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"batch_ids": [
"string"
],
"business_unit_id": "string"
}'Response
{ "batches_to_post": [ { … } ], "ineligible_batches": [ { … } ], "products": [ { … } ], "products_without_financial_configuration": [ { … } ] }